org.apache.hadoop.yarn.server.nodemanager.nodelabels

## Class NodeAttributesProvider

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.yarn.server.nodemanager.nodelabels.AbstractNodeDescriptorsProvider<org.apache.hadoop.yarn.api.records.NodeAttribute>
    - - org.apache.hadoop.yarn.server.nodemanager.nodelabels.NodeAttributesProvider

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.service.Service, NodeDescriptorsProvider<org.apache.hadoop.yarn.api.records.NodeAttribute>
  Direct Known Subclasses:
    ConfigurationNodeAttributesProvider, ScriptBasedNodeAttributesProvider

      public abstract class NodeAttributesProvider
      extends AbstractNodeDescriptorsProvider<org.apache.hadoop.yarn.api.records.NodeAttribute>

  Abstract class which will be responsible for fetching the node attributes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.server.nodemanager.nodelabels.AbstractNodeDescriptorsProvider

      `DISABLE_NODE_DESCRIPTORS_PROVIDER_FETCH_TIMER, readLock, timerTask, writeLock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAttributesProvider(String name)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.server.nodemanager.nodelabels.AbstractNodeDescriptorsProvider

      `cleanUp, createTimerTask, getDescriptors, getIntervalTime, getScheduler, serviceInit, serviceStart, serviceStop, setDescriptors, setIntervalTime, verifyConfiguredScript`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAttributesProvider

          public NodeAttributesProvider(String name)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.